Subject: Re: [bug#49813] [PATCH 04/34] gnu: tao: Fix regex in FIND-FILES invocation.

From: Andreas Enge <[email-masked]>
Date: Tue, 1 Apr 2025 18:50:18 +0200

Hello,

I just come across this issue using the latest "tag:team-science"
feature on issues.guix.gnu.org.

As an example, I looked at the scotch package. It apparently has changed
sufficiently such that the patch does not apply any more. Also, it would
not necessarily "correct" regexps. As I understand it, ".*" at the
beginning or the end of a regexp have no consequence, and dropping them
makes the code more beautiful, but not more correct.
Replacing "\.*h" by "\.h$" matches fewer files in principle, but this may
or may not be the case for a given package.

So I would suggest to close this issue unless we have cases where a real
problem occurs.

Andreas